<?php

	if (!empty($_POST['statusArquivoAndamentos'])) {
		
		$insertHistObs = mysql_query("
				INSERT INTO sis_observacoes (
				  `id_arquivo`,
				  `id_user`,
				  `statusArquivo`,
				  `observacao`
				) 
				VALUES
				  (
				  	'".$_POST['id_arquivo']."',
				    '".$_SESSION['idUser']."',
				    '".$_POST['statusArquivoAndamentos']."',
				    '".$_POST['obs_historico_andamentos']."'
				  )
			");

		$idUltimaObservacao = mysql_insert_id();

		if ($insertHistObs >= 1) {

			$updateArquivo = mysql_query("UPDATE crm_upload SET statusAndamentos = '".$_POST['statusArquivoAndamentos']."' WHERE id = '".$_POST['id_arquivo']."'");
		}

		if ($insertHistObs >= 1 && isset($updateArquivo)) {

			require ('auxiliares/formata-data.php');

			$querySelectObservacao = "SELECT 
								  obs.`observacao`,
								  obs.`dataInsercao`,
								  a.`tituloReferencia`,
								  u.`nomeUser` 
								FROM
								  (
								    sis_observacoes AS obs 
								    JOIN aux_andamentos AS a 
								      ON obs.`statusArquivo` = a.`idAndamento`
								  ) 
								  JOIN usuarios AS u 
								    ON obs.`id_user` = u.`id` 
								WHERE obs.`idObservacao` = '".$idUltimaObservacao."'";

			$selectOberservacoes = mysql_query($querySelectObservacao);

			$resultObsOs = mysql_fetch_array($selectOberservacoes);

			// Enviar email para cliente e admistrador
			
			/*
			* Recupera dados para envio do email
			*
			* @param $nomeCampanha = nome da campanha
			* @param $assuntoEmail = assunto do email
			* @param $conteudoEmail = texto que compõe o corpo do email em HTML
			*/
			
			$resultEmails = array();

			$resultEmails[] = $_POST['emailUser'];
			
			$nomeFiliado = utf8_decode($_POST['nomeUser']);

			$nomeCampanha = "Casa de Plotagem";
			$assuntoEmail = "Alteração no andamento de arquivo";

			$selectEmpresa = mysql_query("SELECT empresa, email, email01, email02, email03 FROM crm_cliente WHERE id IN (SELECT codcli FROM crm_upload WHERE id = '".$_POST['id_arquivo']."')");
			$empresa = mysql_result($selectEmpresa, 0 ,0);

				$conteudoEmail .= "  <table width='600' border='0' align='left'><b>Prezados da Empresa :</b>".($empresa)."<br><br>
				<b>O arquivo </b> possui novas observa&ccedil;&otilde;es. <br>
				<div class='caixa-obs'>
					<p>
						<strong>
							<i>
								".($resultObsOs[3])." - ".dataPTBRTime($resultObsOs[1])." (".($resultObsOs[2]).")
							</i>
						</strong>
					</p>
					<p>
						<i>
							".(($resultObsOs[0]))."
						</i>
					</p>
				</div>

				

				<b>Acesse sua conta aqui:</b> http://www.novuscontabilidade.com.br/ <br>
				<p>
				<br>
			<br>
			
			Atenciosamente, <br>
			Sistema CRM<br>
			</table>	
				";

			$assuntoEmail = "Arquivo enviado, Empresa: $empresa";
			
			$resultEmails[0] = mysql_result($selectEmpresa, 0 ,1);
			$resultEmails[1] = mysql_result($selectEmpresa, 0 ,2);
			// $resultEmails[2] = mysql_result($selectEmpresa, 0 ,3);
			// $resultEmails[3] = mysql_result($selectEmpresa, 0 ,4);

			require 'controladores/emails/resolveEmailChamado.php';

			if ($resultSend === true) {			
?>
				<p>
					<h2>Cadastro de hist&oacute;rico de observa&ccedil;&otilde;es realizado com sucesso!</h2>
				</p>		
				<!-- <meta HTTP-EQUIV='refresh' CONTENT='2;URL=miolo.php?miolo=produtos&acao=gerenciar'> -->
<?php
			}
			else {
?>
				<p>
					<h2>Problemas o durante cadastro de hist&oacute;rico de observa&ccedil;&otilde;es! Entre em contato com o administrador do sistema.</h2>
				</p>		
				<!-- <meta HTTP-EQUIV='refresh' CONTENT='2;URL=miolo.php?miolo=produtos&acao=gerenciar'> -->
<?php
			}
		}
	}
	else {
?>
		<p>
			<h2>Problemas o durante cadastro de hist&oacute;rico de observa&ccedil;&otilde;es! Entre em contato com o administrador do sistema.</h2>
		</p>		
		<!-- <meta HTTP-EQUIV='refresh' CONTENT='2;URL=miolo.php?miolo=produtos&acao=gerenciar'> -->
<?php
	}
?>